Bug 9554 - Problems with mounting removable disks with vfat using pmount in different locales
: Problems with mounting removable disks with vfat using pmount in different lo...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/pmount)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-13 11:13 by
Modified: 2008-07-25 01:21 (History)


Attachments
Add --codepage to pmount (10.74 KB, patch)
2006-05-13 11:16, serpiph
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-13 11:13:35
При использовании связки ivman+pmount (или просто pmount) при монтировании
USB-flash или переносных винчестеров на разных компьютерах с разными системными
локалями возникает проблема с использованием русских букв в имени файлов.
Предлагаю патч, который добавляет к pmount параметр --codepage (или -P) и
соответствует аналогичному параметру команды mount. Также в структуру FS
добавлено поле has_codepage, отмечающий, доступен ли этот параметр данной
файловой системе.  Исправлен файл pmount.1. Я не затронул переводов.
------- Comment #1 From 2006-05-13 11:16:28 -------
Created an attachment (id=1481) [details]
Add --codepage to pmount
------- Comment #2 From 2006-05-13 11:21:21 -------
Кстати, предлагаю внести изменения в spec: в секцию %build перед automake
поставить aclocal, в противном случае пакет может не пересобраться. Прошу
проверить.
------- Comment #3 From 2006-09-29 15:59:09 -------
Что интересно - у pmount уже и так есть ключ -c (--charset)

$ pmount -V
0.9.11

Действительно до сих пор актуально?
------- Comment #4 From 2006-09-29 16:12:50 -------
(In reply to comment #3)
Система Сизиф от 01.09.2006. Проблема периодически появляется. Как решить - ума
не приложу. Вроде, настройки все есть.
$ pmount -V
0.9.11
$ rpm -q ivman
ivman-0.6.12-alt1

Есть 2 компьютера: с CP1251 и KIO8-R. На компьютере с CP1251 ivman перевирает
кодировку. Попробую ещё раз понастраивать. Да, ещё. В твоём письме по ivman есть
такие строки:
=======================
В общем, у меня работает

<ivm:Option name="mountcommand" value="pmount -c cp1251
'$hal.block.device$'" />
<ivm:Option name="umountcommand" value="pumount '$hal.block.device$'" />

в ~/.ivman/IvmConfigBase.xml
=======================
А в файлах ivman есть команды mount и umount, а про твои варианты ни слова.
> Что интересно - у pmount уже и так есть ключ -c (--charset)
> 
> $ pmount -V
> 0.9.11
> 
> Действительно до сих пор актуально?
Если будет неактуально, то закрою.
------- Comment #5 From 2006-10-18 16:37:41 -------
Должно быть исправлено в этой версии:
[icesik@iceberg SRPMS]$ rpm -qp --lastchange pmount-0.9.13-alt1.src.rpm
* Срд Окт 18 2006 Igor Zubkov <icesik@altlinux.org> 0.9.13-alt1

- 0.9.11 -> 0.9.13 (#10056)
- fix problem with charsets (#9554 and #10137)
- fix working with cryptsetup
- closes #8081, typo in pmount manual page
- add requires to mount
- add docs
- mark config /etc/pmount.allow as noreplace
- buildreq
- small spec clean up
[icesik@iceberg SRPMS]$

Которая только что ушла в /i/S/ на сборку.
------- Comment #6 From 2006-10-23 14:55:24 -------
(In reply to comment #5)
> Должно быть исправлено в этой версии:
> [icesik@iceberg SRPMS]$ rpm -qp --lastchange pmount-0.9.13-alt1.src.rpm

> Которая только что ушла в /i/S/ на сборку.

Возможно, но только если ivman использует pmount-hal. У меня в
/etc/hal/fdi/policy/01-charset.fdi:

<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- --> 

<deviceinfo version="0.2">

  <device>
        <match key="volume.fstype" string="vfat">
         <merge key="volume.policy.mount_option.iocharset"
type="string">cp1251</merge>
        </match>
  </device>

</deviceinfo>

pmount-hal на это реагирует, а "просто pmount" - нет. Спасибо и на этом! IMHO,
дальше надо пилить ivman, если не устраивает результат.
------- Comment #7 From 2006-10-23 15:14:47 -------
FIXED